﻿using Newtonsoft.Json;
using Sample.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace Sample.Controllers
{
    public partial class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {             
            return View();
        }
        public ActionResult Event(DataManager dm, string a)
        {
            string responseString = a;
            var dict = HttpUtility.ParseQueryString(responseString);
            string json = JsonConvert.SerializeObject(dict.Cast<string>().ToDictionary(k => k, v => dict[v]));
            var respObj = JsonConvert.DeserializeObject<object>(json);
            var DataSource = OrderRepository.GetAllRecords();
            DataSource = OrderRepository.GetAllRecords().ToList();
            DataResult result = new DataResult();
            result.result = DataSource.Skip(dm.Skip).Take(dm.Take).ToList();
            result.count = DataSource.Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }

        public class DataResult
        {
            public IEnumerable<EditableOrder> result { get; set; }
            public int count { get; set; }
        }
 
    }

   
}
